#include <bits/stdc++.h>

using namespace std;

int main()
{
    long p, q;
    cin >> p >> q;
    long b[q];
    long r[p];
    long a[p + 1];
    
    for(int i = 0; i < p; i++)
    {
        cin >> a[i];
    }
    sort(a, a + p);
    for(int i = 0; i < q; i++)
    {
        long l = 0, d = p, med = 0;
        cin >> b[i];
        a[p] = b[i] + 1;
        while(med != (l + d + 1) / 2)
        {
            med = (l + d + 1) / 2;
            if(a[med] > b[i])
            {
                d = med;
            }
            else if(a[med] < b[i])
            {
                l = med;
            }
            else
            {
                d = med;
                med = p / 2;
                if(d < med)
                {
                    while((a[d] == a[d + 1]) && (d < med))
                    {
                        d++;
                    }
                }
                else if(d > med)
                {
                    while((a[d] == a[d - 1]) && (d > med))
                    {
                        d--;
                    }
                }
                break;
            }
        }
        
        med = p / 2;
        
        if(p % 2 == 1)
        {
            if(d < med)
            {
                r[i] = p - 2 * d + 1;
            }
            else if((d == med) && a[d] == b[i])
            {
                r[i] = 0;
            }
            else if((d == med) && a[d] != b[i])
            {
                r[i] = 2;
            }
            else
            {
                r[i] = 2 * d - p;
            }
        }
        else
        {
            if(d < med)
            {
                r[i] = p - 2 * d - 1;
            }
            else if((d == med) && a[d] == b[i])
            {
                r[i] = 0;
            }
            else if((d == med) && a[d] != b[i])
            {
                r[i] = 1;
            }
            else
            {
                r[i] = d + l - p;
            }
        }
    }
    
    for(int i =0; i < q; i++)
    {
        cout << r[i] << endl;
    }
    return 0;
}